{% extends "base.html" %}
{% block main %}
<h1>LibUp</h1>
<blockquote>
    <p>
        LibUp (aka libraryupgrader) tracks dependencies in code we use and bumps them
        as necessary.

        Currently focusing on Node.js, PHP and Rust repositories, with more planned.

        It is currently tracking {{count}} repositories and {{upstreams}} libraries across the following branches: {{', '.join(branches)}}.
        The configuration may be viewed on <a href="https://gitlab.wikimedia.org/repos/ci-tools/libup-config">Gerrit</a>.
    </p>
    <p>
        LibUp is fully <a href="https://www.gnu.org/philosophy/free-sw.en.html">free software</a>, available under the terms of the <a href="https://www.gnu.org/licenses/agpl-3.0.html">AGPL, version 3 or any later version</a>.
        See the <a href="{{url_for('credits_')}}">credits</a>.
    </p>
</blockquote>
<h3>Recent runs</h3>
<ul>
    {% for log in recent_logs %}
    <li>{{macros.repo_icons(log.repository)}}<a href="{{url_for('logs2', log_id=log.id)}}">log #{{log.id}}</a>: {{macros.repo_link(log.repository, icons=False)}} ({{log.repository.branch}}) in {{log.duration}}s</li>
    {% endfor %}
</ul>
{% endblock %}
